﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Joey.DbOperator;
using System.Data;

namespace CreateInsertSql.Business
{
    class CreatingInsertSql
    {
        public string GetInsertSql(string tableName)
        {
            string sql = string.Empty;
            DataBase db = new DataBase();
            DataSet ds = db.GetEntity(tableName);
            foreach (DataRow item in ds.Tables[0].Rows)
            {
                sql += this.GetSqlByDataRow(item, ds.Tables[0]);
            }
            return sql;
        }

        private string GetSqlByDataRow(DataRow row, DataTable dataTable)
        {
            StringBuilder sql = new StringBuilder("insert into ");
            sql.Append(dataTable.TableName);
            sql.Append("(");
            foreach (DataColumn item in dataTable.Columns)
            {
                sql.Append(item.ColumnName);
                sql.Append(",");
            }
            sql.Remove(sql.Length - 1, 1);
            sql.Append(")");
            sql.Append("values");
            sql.Append("(");
            foreach (DataColumn item in dataTable.Columns)
            {
                if (row[item] == DBNull.Value)
                {
                    sql.Append("null");
                }
                else
                {
                    sql.Append("'");
                    if (item.DataType == typeof(DateTime))
                    {
                        sql.Append(Convert.ToDateTime(row[item]).ToString("yyyy-MM-dd HH:mm:ss"));
                    }
                    else
                    {
                        sql.Append((row[item]).ToString());
                    }
                    sql.Append("'");
                }
                sql.Append(",");
            }
            sql.Remove(sql.Length - 1, 1);
            sql.Append(");\r\n");
            return sql.ToString();
        }
    }
}
