﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SQLite;

namespace Joey.DbOperator.ADODotNetFactory
{
    class SqliteADODotNet : AbsADODotNet
    {
        #region AbsADODotNet 成员

        /// <summary>
        /// 获取一个Sqlite数据库连接实例
        /// </summary>
        /// <returns>Sqlite数据库连接实例</returns>
        public override System.Data.Common.DbConnection GetConnection()
        {
            return new SQLiteConnection();
        }

        /// <summary>
        /// 获取一个Sqlite数据库命令实例
        /// </summary>
        /// <returns>Sqlite数据库命令实例</returns>
        public override System.Data.Common.DbCommand GetCommand()
        {
            return new SQLiteCommand();
        }

        /// <summary>
        /// 获取一个SQlite数据数据适配器实例
        /// </summary>
        /// <returns>SQlite数据数据适配器实例</returns>
        public override System.Data.Common.DbDataAdapter GetDataAdapter()
        {
            return new SQLiteDataAdapter();
        }

        /// <summary>
        /// 获取一个Sqlite数据库命令创建类实例
        /// </summary>
        /// <returns>Sqlite数据库命令创建类实例</returns>
        public override System.Data.Common.DbCommandBuilder GetCommandBuilder()
        {
            return new SQLiteCommandBuilder();
        }

        /// <summary>
        /// 获取一个SQlite数据库SQL语句参数类实例
        /// </summary>
        /// <returns>SQlite数据库SQL语句参数类实例</returns>
        public override System.Data.Common.DbParameter GetParameter()
        {
            return new SQLiteParameter();
        }

        #endregion
    }
}
